// I can't write violation code for CA1308:ToUpper.

using System;
using System.Globalization;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Globalization
{
    public static class Rule1308
    {
        // このメソッドは CA1308:ToUpperInvariant に違反しています。
        public static string Normalize(string value)
        {
            return value.ToLower(CultureInfo.InvariantCulture);
        }

        // このメソッドは CA1308:ToUpperInvariant に違反しています。
        public static string NormalizeInvariant(string value)
        {
            return value.ToLowerInvariant();
        }
    }
}
